| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GpuLogicalBufferStruct Struct Reference
Core » Materials

Container struct to allow params to safely & update shared list of logical buffer assignments. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuLogicalBufferStruct:
[legend]

## Public Member Functions
| GpuLogicalBufferStruct ()
| OGRE_MUTEX (mutex)

## Public Attributes
size_t | bufferSize
| Shortcut to know the buffer size needs. More...
GpuLogicalIndexUseMap | map
| Map from logical index to physical buffer location. More...

## Detailed Description

Container struct to allow params to safely & update shared list of logical buffer assignments.

## Constructor & Destructor Documentation

## ◆ GpuLogicalBufferStruct()

Ogre::GpuLogicalBufferStruct::GpuLogicalBufferStruct | ( |  | ) |
| inline

## Member Function Documentation

## ◆ OGRE_MUTEX()

Ogre::GpuLogicalBufferStruct::OGRE_MUTEX | ( | mutex |  | ) |

## Member Data Documentation

## ◆ map

GpuLogicalIndexUseMap Ogre::GpuLogicalBufferStruct::map

Map from logical index to physical buffer location.

## ◆ bufferSize

size_t Ogre::GpuLogicalBufferStruct::bufferSize

Shortcut to know the buffer size needs.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h